Subject: [Catalina22] Re: "You thought THAT was dumb?"

From: "Chip Ford" <[email-masked]>
Date: Thu, 28 Apr 2005 06:32:41 -0400

1974 Catalina 22  ▪  Swing Keel  ▪  # 3282
Chip Ford  ▪  Marblehead, Massachusetts  ▪  781-639-9709
Visit the Chip Ahoy website <http://www.chipford.com/> 

  _____  

I meant to mention in my previous message that I installed the OMC  <http://chipford.com/motor_mount.htm> gas-cylinder lift-assist to my outboard motor mount last Sunday and it works like a charm. Rated for up to a 15 hp outboard, it ought to do the job nicely with my 9.9 hp Tohatsu. Ironically, I pulled whatever in my shoulder again trying to force it into its down position -- the very reason why I decided to install it -- which I think qualifies for the new "You thought THAT was dumb?" thread! 

Chip Ford <http://www.chipford.com/list/members.htm#Chip_Ford>  --

 ――――  Discussion List Member Services <http://www.chipford.com/list/services.htm>   ――――

  _____  

For information on unsubscribing or contacting the list owner, click  <http://www.chipford.com/list/instructs.htm> here